<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<tpl> $NCharset </tpl>" />
<title><tpl> $langCShopNCSystem </tpl></title>
<tpl>
include file ='sys_head_config.html'</tpl>
</head>
<body>
<div class="tabbar">
  <ul class="tab_btns" id="COPYYH2">
    <li class="current"><a href="conformitymember.manage.php?action=manage"><span><tpl> $langConSystemMember </tpl></span></a></li>
  </ul>
	<div class="tab_notes" id="copyyh0">
		<ul class="notesbg block"><span><h4><tpl> $langConOpenOtherSystem </tpl></h4></span></ul>
	</div>
	<!-- 显示提示信息 -->
	<div id="message"></div>
	<!-- 显示提示信息end -->
</div>

<div id="product-help" class="admincp_form">
<div id="result_content">
<form name="form_conformity" id="form_conformity" action="?action=conformity" method="post" style="color:#007DC6; ">
<div id="showresult"></div>
	<div id="desc" style=" padding:20px;">
		<tpl> $langConFillInNeedSystemDatabaseName </tpl><br /><br />
		<tpl> $langConFillInNeedSystemDataTablePrefix </tpl><br /><br />
		<font color="#FF0000"><tpl> $langConPleaseAffirmShopSystemMemberIsNull </tpl></font><br /><br />
		<tpl> $langConCourseNoRegNewMumber </tpl>
	</div>
<table border="0" cellpadding="0" cellspacing="0" class="from_table">
	<tr>
		<th><tpl> $langConBySystem </tpl>:</th>
		<td class="td rowform">
		<select name="intergration" id="intergration">
		<option value="discuz" <tpl> if $config_array.api.open_discuz eq '1' </tpl>selected="selected"<tpl> /if </tpl>>Discuz!6.0</option>
		<option value="phpwind" <tpl> if $config_array.api.open_phpwind eq '1' </tpl>selected="selected"<tpl> /if </tpl>>PHPwind6.0</option>
		<option value="dedecms" <tpl> if $config_array.api.open_dedecms eq '1' </tpl>selected="selected"<tpl> /if </tpl>>DEDECMS</option>
		<option value="phpcms" <tpl> if $config_array.api.open_phpcms eq '1' </tpl>selected="selected"<tpl> /if </tpl>>PHPCMS</option>
		<option value="ecms" <tpl> if $config_array.api.open_ecms eq '1' </tpl>selected="selected"<tpl> /if </tpl>><tpl> $langConEmpireCMS </tpl></option>	
		<!-- option value="cmsware" <tpl> if $config_array.api.open_cmsware eq '1' </tpl>selected="selected"<tpl> /if </tpl>>CMSWARE</option -->	
		</select>
		</td>
		<td class="vtop tips2"></td>
	</tr>
	<tr>
		<th><tpl> $langConCharset </tpl>:</th>
		<td class="td rowform">
			<select name="charset">
<option value="gbk" <tpl> if $config_array.api.api_charset eq 'gbk' </tpl>selected="selected"<tpl> /if </tpl>>gbk</option>
<option value="utf-8" <tpl> if $config_array.api.api_charset eq 'utf-8' </tpl>selected="selected"<tpl> /if </tpl>>utf-8</option>
</select>
		</td>
		<td class="vtop tips2"></td>
	</tr>
	<tr>
		<th><tpl> $langConDataTableServerName </tpl>:</th>
		<td class="td rowform">
			<input name="inte_db_server_name" type="text" id="inte_db_server_name" class="txtinput" value="localhost"/>
		</td>
		<td class="vtop tips2"><tpl> $langConDataTableServerNameRemark </tpl></td>
	</tr>
	<tr>
		<th><tpl> $langConDataTableAccount </tpl>:</th>
		<td class="td rowform">
			<input name="inte_db_account" type="text" id="inte_db_account" class="txtinput"/>
		</td>
		<td class="vtop tips2"></td>
	</tr>
	<tr>
		<th><tpl> $langConDataTablePassword </tpl>:</th>
		<td class="td rowform">
			<input name="inte_db_password" type="text" id="inte_db_password" class="txtinput"/>
		</td>
		<td class="vtop tips2"></td>
	</tr>
	<tr>
		<th><tpl> $langConDatabaseName </tpl>:</th>
		<td class="td rowform">
			<input name="inte_db_name" type="text" id="inte_db_name" class="txtinput"/>
		</td>
		<td class="vtop tips2"></td>
	</tr>
	<tr>
		<th><tpl> $langConDataTablePrefix </tpl>:</th>
		<td class="td rowform">
			<input name="inte_prefix" type="text" id="inte_prefix" class="txtinput"/>
		</td>
		<td class="vtop tips2"></td>
	</tr>
	
	<input type="hidden" name="counts" value="0" id="counts" />
</table>
<div class="table-5-bottom"><div class="p-left-2"><span class="btn_left" id="submits"><input type="submit" value="<tpl> $langConBegin </tpl>" class="btn_submit" /></span></div></div>
</form>
</div>
</div>
<!-- 帮助菜单 -->
<tpl> include file='sys_right_help.html' </tpl>
<!-- 帮助菜单END -->
</body>
</html>
<script>
var options = {	
		beforeSubmit:  function(){$('#submits').hide();$('#showresult').show();},
		success:       function(msg){
			hideLoading();
			//0 失败，1 成功，2，完成
			if(msg.type == '0'){
				showMessage("<tpl> $langConLostPleaseLookDatabaseNameTablePrefix </tpl><a href='conformitymember.manage.php?action=manage'><tpl> $langConRenewedly </tpl></a>",0);
				//显示按钮
				$('#submits').show();
				clearTimeout();
				return false;
			}
			if(msg.type == 1){
				setTimeout(showConformity(msg.message),1000);
			}
			if(msg.type == 2){
				$('#showresult').hide();
				$('#submits').show();
				showMessage("<tpl> $langConDone </tpl> <a href='conformitymember.manage.php?action=manage'><tpl> $langConRenewedly </tpl></a>",1);
				clearTimeout();
				return false;
			}
			//showMessage(msg.message,msg.type);
		},
		type:      'post',
		//success:showConformity,
		dataType:  'json'
	};
$(document).ready(function() {

	hideLoading();

	$('#form_conformity').ajaxForm(options);
	$('#intergration').change(function(){		
		$('#counts').attr('value','0');
		$('#showresult').html(" ");
		$('#submits').show();
	});
});
var membercount = 0;
function showConformity(responseText){
	$('#showresult').html(responseText);
	membercount++;
	$('#form_conformity').attr('action','?action=copymember');
	$('#counts').attr('value',membercount);
	$('#form_conformity').ajaxSubmit(options);
}


function goBack(){
//	$('#showcontent').css('display','');
	$('#showprogress').css("display",'none');
	$('#showprogressing').css("display",'none');
}

</script>
